Subject: Re: stdint.h in emacs

From: Paul Eggert <[email-masked]>
Date: Tue, 11 Oct 2011 16:29:13 -0700

I can't reproduce the problem on CentOS 5.7 x86-64
when using 'gcc -m32'.  This is the system GCC,
gcc (GCC) 4.1.2 20080704 (Red Hat 4.1.2-51).  I configured
with "configure CC='gcc -m32' --with-x-toolkit=no -with-xpm=no"
(because I don't have those 32-bit libraries installed).

Could you please send in your config.log and src/config.h?
Compressed is fine.

My guess is that there's some problem with the setup that
causes compilation to fail subtly, bad enough so that both
the stdint.h test fails, and that gnulib's attempt to create
a substitute stdint.h also fails, the latter because 'configure'
can't determine the bit width of ptrdiff_t.